#ifndef DIALOGMENU_H_INCLUDED
#define DIALOGMENU_H_INCLUDED

//class RootMenu;
//class DialogMenu;

//#include "application.h"
#include "menu.h"

enum DIALOGMENU_BUTTON_ID {
    DIALOGMENU_BUTTON_ID_CANCEL=1,
    DIALOGMENU_BUTTON_ID_OK
};



class DialogMenu : public RootMenu {

	public:

	DialogMenu(IPartSystem *sys, const char *msg, bool show_cancel, int diag_cx=216, int diag_cy=121, int diag_w=320);

	// Button functions
	void fun_cancel();
	void fun_ok();

    void update(ActionManager& act, Keyboard& inp_keyboard);
	void draw(long anim_time);

    bool done();
    DIALOGMENU_BUTTON_ID get_choice();

    static Application *app;


	protected:

	DIALOGMENU_BUTTON_ID choice;
	bool is_done;
    const char *message;

	IButton *but_ok;
	IButton *but_cancel;


};

#endif // DIALOGMENU_H_INCLUDED
