#ifndef OPTIONSGRAPHICSMENU_H_INCLUDED
#define OPTIONSGRAPHICSMENU_H_INCLUDED


#include <allegro5/allegro.h>
#include <allegro5/allegro_image.h>
#include <allegro5/allegro_color.h>
#include <allegro5/allegro_font.h>
#include <allegro5/allegro_ttf.h>
#include <allegro5/allegro_primitives.h>


#include "menu.h"
#include "DialogMenu.h"
#include "application.h"

enum {
    OPTGFXMENU_BUTTON_ID_FUllSCREEN=1,
    OPTGFXMENU_BUTTON_ID_OK,
    OPTGFXMENU_BUTTON_ID_BACK,
    OPTGFXMENU_BUTTON_ID_SUBMIT
};

class OptionsGraphicsMenu : public RootMenu {

	public:

	OptionsGraphicsMenu(IPartSystem *sys);
	~OptionsGraphicsMenu();

	// Button functions
	void fun_fullscreen();
	void fun_ok();
	void fun_back();
	void fun_submit();
    // --

    // Menu Specific Vars
    bool fullscreen;
    // --

    void update(ActionManager& act, Keyboard& inp_keyboard);
	void draw(long anim_time);

    //static Application *app;


	private:

	IButton *but_fullscreen;
	IButton *but_ok;
	IButton *but_back;


};

#endif // OPTIONSGRAPHICSMENU_H_INCLUDED
