#include "menu.h"

Application *RootMenu::app = 0;

RootMenu::RootMenu(IPartSystem *sys, int nx, int ny, int nw, int nh, const char *nt) :
    interact(sys, nx,ny,nw,nh, nt) {
    partsys = sys;
    ResourceManager::resMan->add_resource("fnt/DAYROM__.ttf", FILE_TYPE_FNT, true, 14);
	menuFont = ResourceManager::resMan->get_fnt("fnt/DAYROM__.ttf", 14);
	ResourceManager::resMan->add_resource("gfx/menu/web.bmp", FILE_TYPE_BMP, true);
	menuBG = ResourceManager::resMan->get_bmp("gfx/menu/web.bmp");
}


RootMenu::~RootMenu() {}


void RootMenu::update(ActionManager& act, Keyboard& inp_keyboard) {

	// Spin
	interact.update(act, inp_keyboard);

}

void RootMenu::draw(long anim_time) {

	interact.draw(anim_time);

}
