#ifndef MISC_H_INCLUDED
#define MISC_H_INCLUDED

#include <allegro5/allegro.h>
#include <math.h>


double sign(double x);

double sqr(double x);

double minimum(double a, double b);
double maximum(double a, double b);

double lengthdir_x(double sp, double dir);

double lengthdir_y(double sp, double dir);

double point_direction(double x1, double y1, double x2, double y2);

double point_distance(double x1, double y1, double x2, double y2);

double fixedDir(double dir);

double deltaDir(double dir1, double dur2);

#endif // MISC_H_INCLUDED
