#ifndef MOUSE_H_INCLUDED
#define MOUSE_H_INCLUDED

#include <allegro5/allegro.h>
#include "control.h"

class Mouse {

	public:

	Mouse();

	void on_event(ALLEGRO_EVENT * ev, int ox, int oy, int oo);
	void on_timer();
	void on_blur();

	int get_x();
	int get_y();
	Control * get_left();
	Control * get_right();

	private:

	int x;
	int y;
	Control left;
	Control right;

};

#endif // MOUSE_H_INCLUDED
