#include "sound.h"


Sound::Sound(const char * filename) {

    path = filename;
    ResourceManager::resMan->add_resource(filename, FILE_TYPE_SND, true);
	snd = ResourceManager::resMan->get_snd(filename);

	mode = ALLEGRO_PLAYMODE_ONCE;

}

Sound::~Sound() {

    ResourceManager::resMan->remove_resource(path, FILE_TYPE_SND);

}



ALLEGRO_SAMPLE* Sound::get() {

	return snd;

}


void Sound::play(float gain, float pan, float speed) {

	al_play_sample(snd, gain, pan, speed, mode, 0);

}
