#ifndef SOUND_H_INCLUDED
#define SOUND_H_INCLUDED


#include <allegro5/allegro.h>
#include <allegro5/allegro_audio.h>
#include <allegro5/allegro_acodec.h>
#include "resources.h"

class Sound {

	public:

	Sound(const char * filename);
	~Sound();

	ALLEGRO_SAMPLE * get();
	//void set(const char *filename);

	virtual void play(float gain, float pan, float speed);

	protected:

    ALLEGRO_PLAYMODE mode;
    const char *path;
	ALLEGRO_SAMPLE *snd;

};


#endif // SOUND_H_INCLUDED
