#ifndef EEDITOR_H_INCLUDED
#define EEDITOR_H_INCLUDED

#include <sstream>
#include <iostream>

#include <allegro5/allegro.h>
#include <allegro5/allegro_image.h>
#include <allegro5/allegro_font.h>
#include <allegro5/allegro_ttf.h>
#include <allegro5/allegro_primitives.h>

#include "game.h"
#include "player.h"
#include "obstacle.h"
#include "mouse.h"
#include "key.h"


class Game;
class eEditor {

    public:

    eEditor(Game *caller);
    ~eEditor();

    void update(Mouse& inp_mouse, Keyboard& inp_keyboard);
    void draw();

    private:

    void save();

    Game *game;

    double mx;
    double my;


};

#endif // EEDITOR_H_INCLUDED
