#ifndef GAMESHANDLER_H_INCLUDED
#define GAMESHANDLER_H_INCLUDED

#include "application.h"
#include "action.h"
#include "game.h"

class Application;
class GamesHandler {

	public:

	GamesHandler(Settings *configuration);


	void new_game();
	void end_game();
	void load_game();
	void save_game();
	void load_recent();
	void continue_game();
	void pause_game();
	void list_games();

	Game * get_game();

    static Application *app;


	private:

    Game *gameInProgress;
    Settings *config;



};

#endif // GAMESHANDLER_H_INCLUDED
