#ifndef LEVEL_H_INCLUDED
#define LEVEL_H_INCLUDED

#include "obstacle.h"

class Level {

    public:

    Level(int num_cols, int num_rows);
    ~Level();

    Obstacle * add_obst(double xpos, double ypos);
    void rem_obst(Obstacle *obst);
    Obstacle * get_obst(int c, int r);

    int get_cols();
    int get_rows();

    double get_width();
    double get_height();

    double get_total_width();
    double get_total_height();

    private:

    int cols;
    int rows;
    double cellw;
    double cellh;

    Obstacle ***grid;

};


#endif // LEVEL_H_INCLUDED
