#ifndef MENU_H_INCLUDED
#define MENU_H_INCLUDED

//class IButton;
class Interactive;
class Application;
class Keyboard;
class ActionManager;

#include <allegro5/allegro.h>
#include <allegro5/allegro_image.h>
#include <allegro5/allegro_font.h>
#include <allegro5/allegro_ttf.h>
#include "interactive.h"

class RootMenu {

	public:

	RootMenu(IPartSystem *sys, int nx, int ny, int nw, int nh, const char *nt);
	~RootMenu();
	virtual void update(ActionManager& act, Keyboard& inp_keyboard);
	virtual void draw(long anim_time);

    static Application *app;


	protected:

	IPartSystem *partsys;

    ALLEGRO_FONT *menuFont;
    ALLEGRO_BITMAP *menuBG;
	//Interactive interact;
	Interactive interact;


};

#endif // MENU_H_INCLUDED
