#ifndef OBSTACLE_H_INCLUDED
#define OBSTACLE_H_INCLUDED

#include <allegro5/allegro.h>
#include <allegro5/allegro_image.h>
#include <allegro5/allegro_font.h>
#include <allegro5/allegro_ttf.h>
#include <allegro5/allegro_primitives.h>


enum OBSTACLE_TYPE {
    OBSTACLE_TYPE_STANDARD,
    OBSTACLE_TYPE_SHRINK,
    OBSTACLE_TYPE_SHOOT,
    OBSTACLE_TYPE_JUMP
};

class Obstacle {

    public:

    Obstacle(int col, int row);
    ~Obstacle();

    void draw(int ox, int oy);

    int get_c();
    int get_r();

    bool marked;
    OBSTACLE_TYPE type;
    double hp;


    private:

    int c,r;

    double x;
    double y;
    double w;
    double h;




};

#endif // OBSTACLE_H_INCLUDED
